import { Component, Host, h, Prop } from '@stencil/core';
export class SparkleGoalItem {
  render() {
    return (h(Host, null,
      h("sparkle-card", { header: this.goal.Name, icon: this.goal.CategoryIcon },
        h("div", { class: "goal-header" },
          h("ion-button", { size: "small", color: "primary", onClick: () => this.onEditGoal() }, "Edit")),
        h("p", null, this.goal.Description),
        h("sparkle-goal-progress", { percentage: this.goal.Percentage.toString() }))));
  }
  static get is() { return "sparkle-goal-item"; }
  static get originalStyleUrls() { return {
    "$": ["sparkle-goal-item.css"]
  }; }
  static get styleUrls() { return {
    "$": ["sparkle-goal-item.css"]
  }; }
  static get properties() { return {
    "goal": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "IGoal",
        "resolved": "IGoal",
        "references": {
          "IGoal": {
            "location": "import",
            "path": "../../../../models/goal.model"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    },
    "onEditGoal": {
      "type": "unknown",
      "mutable": false,
      "complexType": {
        "original": "Function",
        "resolved": "Function",
        "references": {
          "Function": {
            "location": "global"
          }
        }
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      }
    }
  }; }
}
